## GtkChamplainEmbed GtkChamplainEmbed — A Gtk+ Widget that embeds a ChamplainView |

## Functions

GtkWidget * | gtk_champlain_embed_new ()
ChamplainView * | gtk_champlain_embed_get_view ()

## Properties

ChamplainView * | champlain-view | Read

## Types and Values

struct | GtkChamplainEmbed
struct | GtkChamplainEmbedClass
| GtkChamplainEmbedPrivate

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkAlignment
                            ╰── GtkChamplainEmbed

## Implemented Interfaces

GtkChamplainEmbed implements AtkImplementorIface and GtkBuildable.

## Description

Since ChamplainView is a ClutterActor, you cannot embed it directly into a Gtk+ application. This widget solves this problem. It creates the ChamplainView for you, you can get it with gtk_champlain_embed_get_view.

## Functions

### gtk_champlain_embed_new ()

    GtkWidget *
    gtk_champlain_embed_new (void);

Creates an instance of GtkChamplainEmbed.

#### Returns

a new GtkChamplainEmbed ready to be used as a GtkWidget.

Since: 0.4

### gtk_champlain_embed_get_view ()

    ChamplainView *
    gtk_champlain_embed_get_view (GtkChamplainEmbed *embed);

Gets a ChamplainView from the GtkChamplainEmbed object.

#### Parameters

embed | a ChamplainView, the map view to embed |

#### Returns

a ChamplainView ready to be used.

[transfer none]

Since: 0.4

## Types and Values

### struct GtkChamplainEmbed

    struct GtkChamplainEmbed;

The GtkChamplainEmbed structure contains only private data and should be accessed using the provided API

Since: 0.4

### struct GtkChamplainEmbedClass

    struct GtkChamplainEmbedClass {
      GtkAlignmentClass parent_class;
    };

### GtkChamplainEmbedPrivate

    typedef struct _GtkChamplainEmbedPrivate GtkChamplainEmbedPrivate;

## Property Details

### The `“champlain-view”` property

      “champlain-view”           ChamplainView *

The ChamplainView to embed in the Gtk+ widget.

Owner: GtkChamplainEmbed

Flags: Read

Since: 0.4